全部产品
存储与CDN 数据库 安全 应用服务 数加·人工智能 数加·大数据基础服务 互联网中间件 视频服务 开发者工具 解决方案 物联网

安装

更新时间:2017-09-20 17:49:55

环境要求

  • JDK 1.6及以上
  • 或Andriod 2.3及以上

安装

在maven项目的pom.xml中加入以下依赖项即可

  1. <dependency>
  2. <groupId>com.aliyun</groupId>
  3. <artifactId>aliyun-java-sdk-cloudphoto</artifactId>
  4. <version>1.1.4</version>
  5. </dependency>
  6. <dependency>
  7. <groupId>com.aliyun</groupId>
  8. <artifactId>aliyun-java-sdk-core</artifactId>
  9. <version>3.2.6</version>
  10. </dependency>

依赖

智能云相册使用OSS来存储用户上传的影像数据,因此还需要引入OSS的SDK来上传文件。同样,在maven项目的pom.xml中加入以下依赖项即可:

  1. <dependency>
  2. <groupId>com.aliyun.oss</groupId>
  3. <artifactId>aliyun-sdk-oss</artifactId>
  4. <version>2.7.0</version>
  5. </dependency>
  6. <dependency>
  7. <groupId>org.apache.httpcomponents</groupId>
  8. <artifactId>httpclient</artifactId>
  9. <version>4.4</version>
  10. </dependency>

注:OSS的SDK依赖httpclient4.4

本文导读目录